/*
 * sbor_shema.h
 *
 *  Created on: 18 февр. 2021 г.
 *      Author: stud
 */

#ifndef SRC_MAIN_SBOR_SHEMA_H_
#define SRC_MAIN_SBOR_SHEMA_H_


#define U_LEVEL_ON_BLOCK_KEY   559240  // 100V
#define U_LEVEL_OFF_BLOCK_KEY  279620   // 50V

unsigned int sbor_shema(int mode);
void rascepitel_on_off(unsigned int flag, int *status_perehod, int *status_on_off,  int *final_status_on_off);
void auto_block_key_on_off(void);

unsigned int imit_signals_rascepitel(unsigned int *counter, unsigned int max_pause, unsigned int s, unsigned int cmd_clear);
void set_status_pump_fan(void);



#endif /* SRC_MAIN_SBOR_SHEMA_H_ */
